# Returns the type of work.

GET https://api.awork.com/api/v1/typeofwork/{typeOfWorkId}

Returns the type of work. The response includes the type's label, color, and billing settings. <Check title="Required Permissions" icon="key">The user must have permission to access the requested resource.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/typeofwork/{typeOfWorkId}' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `typeOfWorkId`: string (required). The id of the type of work.

## Response 200

OK

application/json

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "Sales Work",
  "description": "Tasks related to sales dept.",
  "icon": "attach_money",
  "isArchived": true,
  "createdOn": "2022-03-10T16:25:09.100Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2022-03-10T18:55:00.500Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
